List Calls
curl --request GET \
--url https://api.flowiq.live/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flowiq.live/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flowiq.live/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flowiq.live/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flowiq.live/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flowiq.live/v1/calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flowiq.live/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"id": "wacid.HBgLMjc4MjAwMDAwMDAVAgARGBI2RjQ3QkU1RjA5Q0UyMkEzQjQA",
"channel": "whatsapp",
"direction": "inbound",
"status": "ringing",
"answered_by": "api",
"started_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 70,
"end_reason": "completed",
"transcript": "<string>",
"has_recording": true,
"recording_url": "<string>",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_id": "27820000000",
"name": "Jane Doe"
},
"from": "<string>",
"to": "<string>",
"biz_opaque_callback_data": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": "Request failed",
"message": "Parameter value is not valid"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}{
"error": "Request failed",
"message": "Contact has not granted callback permission"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}Calls
List Calls
Calls on your number, newest first, cursor-paged. Scope: read.
GET
/
v1
/
calls
List Calls
curl --request GET \
--url https://api.flowiq.live/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flowiq.live/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flowiq.live/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flowiq.live/v1/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flowiq.live/v1/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flowiq.live/v1/calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flowiq.live/v1/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"id": "wacid.HBgLMjc4MjAwMDAwMDAVAgARGBI2RjQ3QkU1RjA5Q0UyMkEzQjQA",
"channel": "whatsapp",
"direction": "inbound",
"status": "ringing",
"answered_by": "api",
"started_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 70,
"end_reason": "completed",
"transcript": "<string>",
"has_recording": true,
"recording_url": "<string>",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_id": "27820000000",
"name": "Jane Doe"
},
"from": "<string>",
"to": "<string>",
"biz_opaque_callback_data": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": "Request failed",
"message": "Parameter value is not valid"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}{
"error": "Request failed",
"message": "Contact has not granted callback permission"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_error_code": 123
}Calls on your number, newest first. Each item is a call object.
Basic Usage
curl "https://api.flowiq.live/v1/calls?direction=inbound&since=2026-10-01&limit=50" \
-H "Authorization: Bearer fiq_YOUR_API_KEY"
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
contact_id | string | No | Only this contact’s calls |
direction | string | No | inbound or outbound |
since | string | No | ISO date or time; calls that started at or after it |
until | string | No | ISO date or time; calls that started before it |
status | string | No | ringing, in_progress, completed, missed, rejected or failed |
channel | string | No | whatsapp or phone (calls to a FlowIQ phone line) |
cursor | string | No | next_cursor from the previous page |
limit | integer | No | Per page, default 25, max 100 |
Response
Success (200)
{
"organization_id": "a4234f32-…",
"data": [
{
"id": "wacid.HBgLMjc4MjAwMDAwMDAVAgARGBI2RjQ3QkU1RjA5Q0UyMkEzQjQA",
"channel": "whatsapp",
"direction": "inbound",
"status": "completed",
"answered_by": "flowiq_ai",
"from": "27820000000",
"to": "15550001111",
"started_at": "2026-09-23T21:17:16.983Z",
"answered_at": "2026-09-23T21:17:22.000Z",
"ended_at": "2026-09-23T21:20:51.000Z",
"duration_seconds": 209,
"end_reason": "completed",
"transcript": "AI: Hi, thanks for calling…\nCaller: Hello…",
"has_recording": false,
"recording_url": null,
"biz_opaque_callback_data": null,
"contact": { "id": "9b8a7c6d-…", "whatsapp_id": "27820000000", "name": "Jane Doe" }
}
],
"pagination": { "limit": 50, "has_more": true, "next_cursor": "MjAyNi0wOS0yM1QyMToxNzoxNi45ODNafDFhMmIz…" }
}
Authorizations
Your FlowIQ organisation API key (Settings → API Keys), sent as a bearer token. Format: Bearer fiq_YOUR_API_KEY
Query Parameters
Only this contact's calls
inbound or outbound
Available options:
inbound, outbound One status
Available options:
ringing, in_progress, completed, missed, rejected, failed whatsapp (default: all) or phone
Available options:
whatsapp, phone ISO date or time; calls that started at or after it
ISO date or time; calls that started before it
Per page, default 25, max 100
Required range:
1 <= x <= 100next_cursor from the previous page

